class Paddle:
    def __init__(self, canvas, color):
        self.canvas = canvas
        self.id     = canvas.create_rectangle(0, 0, 100, 10, fill = color)

        self.canvas.move(self.id, 200, 450)

        self.x            = 0
        self.canvas_width = self.canvas.winfo_width()

        self.canvas.bind_all('<KeyPress-Left>' , self.moveLeft )
        self.canvas.bind_all('<KeyPress-Right>', self.moveRight)
        
    def moveLeft(self, evt):
        self.x = -2
        
    def moveRight(self, evt):
        self.x = 2
        
    def draw(self):
        self.canvas.move(self.id, self.x, 0)

        position = self.canvas.coords(self.id)

        if position[0] <= 0:
            self.x = 0
        elif position[2] >= self.canvas_width:
            self.x = 0